> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# XblSocialSubmitBatchReputationFeedbackAsync

> XblSocialSubmitBatchReputationFeedbackAsync

# XblSocialSubmitBatchReputationFeedbackAsync

Envia comentários de reputação sobre o usuário especificado.

## Sintaxe

```cpp theme={null}
HRESULT XblSocialSubmitBatchReputationFeedbackAsync(  
         XblContextHandle xboxLiveContext,  
         const XblReputationFeedbackItem* feedbackItems,  
         size_t feedbackItemsCount,  
         XAsyncBlock* async  
)  
```

### Parâmetros

*xboxLiveContext*   \_In\_\
Tipo: [XblContextHandle](https://docs.xbox.com/pt-BR/reference/live/xsapi-c/types_c/handles/xblcontexthandle.md)

Um identificador de contexto do Xbox Live criado com XblContextCreateHandle.

*feedbackItems*   \_In\_\
Tipo: [XblReputationFeedbackItem\*](https://docs.xbox.com/pt-BR/reference/live/xsapi-c/social_c/structs/xblreputationfeedbackitem.md)

Uma matriz de objetos XblReputationFeedbackItem sobre os quais enviar comentários de reputação.

*feedbackItemsCount*   \_In\_\
Tipo: size\_t

A contagem de itens na matriz feedbackItems.

*async*   \_In\_\
Tipo: XAsyncBlock\*

AsyncBlock alocado pelo chamador.

### Valor retornado

Tipo: HRESULT

Código de retorno HRESULT para esta operação de API.

## Comentários

Certifique-se de chamar [XAsyncGetStatus](https://docs.xbox.com/pt-BR/reference/system/xasync/functions/xasyncgetstatus.md) para obter o resultado.

## Chamada REST

V101 POST /users/batchfeedback

## Requisitos

**Cabeçalho:** social\_c.h

**Biblioteca:** Microsoft.Xbox.Services.14x.GDK.C.lib

## Confira também

[social\_c](https://docs.xbox.com/pt-BR/reference/live/xsapi-c/social_c/social_c_members.md)


## Related topics

- [XblReputationFeedbackItem](https://docs.xbox.com/pt-BR/reference/live/xsapi-c/social_c/structs/xblreputationfeedbackitem.md)
- [Enviando feedback de reputação](https://docs.xbox.com/pt-BR/services/xbox-services/community/reputation/how-to/live-submitting-reputation-feedback.md)
- [Enviando feedback de reputação a partir de um título](https://docs.xbox.com/pt-BR/services/xbox-services/community/reputation/concepts/live-sending-reputation-feedback.md)
- [social_c](https://docs.xbox.com/pt-BR/reference/live/xsapi-c/social_c/social_c_members.md)
- [Práticas recomendadas para chamar os serviços do XBOX](https://docs.xbox.com/pt-BR/services/xbox-services/develop/best-practices/live-best-practices-calling-xbl.md)
